Skip to main content
This API endpoint requires the plus version of Sonoran CAD or higher. For more information, see our pricing page.

Get Characters

POST https://api.sonorancad.com/civilian/get_characters This endpoint allows you to retrieve all characters associated with a user account in the CAD.

Request Body

Result Ordering

The current/most recently selected character the user has set in the CAD will always be the first record in the list returned by this endpoint (index 0).

Record Formatting

Custom records require a strict format with several dozen different data fields. You can view a detailed explanation of custom record formatting.

Lookup via Account

Communities can optionally lookup via a user’s Sonoran account UUID, by using the account value. This value is internal, and not exposed to on the UI. The verify_secret or get_account endpoints will allow communities to capture the account UUID programmatically.